Astrocal
API ReferenceWebhooksV1WebhooksIdDeliveries

List webhook deliveries

Lists delivery attempts for a specific webhook endpoint with pagination and optional status filtering.

GET
/v1/webhooks/{id}/deliveries

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Path Parameters

id*string

Query Parameters

limit?integer
starting_after?string
status?string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/deliveries"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "webhook_endpoint_id": "3d87177d-a059-4900-ae4a-408283ca1e94",
      "event_type": "string",
      "payload": {
        "property1": null,
        "property2": null
      },
      "status": "pending",
      "attempts": 0,
      "last_attempt_at": "string",
      "response_status_code": 0,
      "response_body": "string",
      "next_retry_at": "string",
      "created_at": "string"
    }
  ],
  "has_more": true
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}